- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::Colour Struct Reference

`#include <VSDTypes.h>`

## Public Member Functions
| Colour (unsigned char red, unsigned char green, unsigned char blue, unsigned char alpha)
| Colour ()
bool | operator== (const Colour &col)
bool | operator!= (const Colour &col)
bool | operator! ()

## Public Attributes
unsigned char | r
unsigned char | g
unsigned char | b
unsigned char | a

## Constructor & Destructor Documentation

libvisio::Colour::Colour | ( | unsigned char | red,
|  | unsigned char | green,
|  | unsigned char | blue,
|  | unsigned char | alpha
| ) |  |
| inline

libvisio::Colour::Colour | ( |  | ) |
| inline

## Member Function Documentation

bool libvisio::Colour::operator! | ( |  | ) |
| inline

bool libvisio::Colour::operator!= | ( | const Colour & | col | ) |
| inline

bool libvisio::Colour::operator== | ( | const Colour & | col | ) |
| inline

Referenced by operator!=().

## Member Data Documentation

unsigned char libvisio::Colour::a

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), libvisio::VSDContentCollector::_lineProperties(), operator!(), operator==(), libvisio::VSD6Parser::readCharIX(), libvisio::VSDParser::readCharIX(), libvisio::VSDParser::readColours(), libvisio::VSD6Parser::readFillAndShadow(), libvisio::VSDParser::readFillAndShadow(), libvisio::VSDParser::readLine(), and libvisio::VSDParser::readTextBlock().

unsigned char libvisio::Colour::b

Referenced by libvisio::getColourString(), operator!(), operator==(), libvisio::VSD6Parser::readCharIX(), libvisio::VSDParser::readCharIX(), libvisio::VSDParser::readColours(), libvisio::VSD6Parser::readFillAndShadow(), libvisio::VSDParser::readFillAndShadow(), libvisio::VSDParser::readLine(), and libvisio::VSDParser::readTextBlock().

unsigned char libvisio::Colour::g

Referenced by libvisio::getColourString(), operator!(), operator==(), libvisio::VSD6Parser::readCharIX(), libvisio::VSDParser::readCharIX(), libvisio::VSDParser::readColours(), libvisio::VSD6Parser::readFillAndShadow(), libvisio::VSDParser::readFillAndShadow(), libvisio::VSDParser::readLine(), and libvisio::VSDParser::readTextBlock().

unsigned char libvisio::Colour::r

Referenced by libvisio::getColourString(), operator!(), operator==(), libvisio::VSD6Parser::readCharIX(), libvisio::VSDParser::readCharIX(), libvisio::VSDParser::readColours(), libvisio::VSD6Parser::readFillAndShadow(), libvisio::VSDParser::readFillAndShadow(), libvisio::VSDParser::readLine(), and libvisio::VSDParser::readTextBlock().

The documentation for this struct was generated from the following file:

- VSDTypes.h